Resolve an entity to its canonical stable ID
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arcmira.com/v1/entities/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.arcmira.com/v1/entities/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.arcmira.com/v1/entities/lookup \
--header 'Authorization: Bearer <token>'{
"entity": {
"id": "<string>",
"numeric_id": 123,
"canonical_id": "<string>",
"name": "<string>",
"type": "<string>",
"platform": "<string>",
"url": "<string>",
"image_url": "<string>",
"image_checked_at": "<string>",
"owner_entity_id": "<string>",
"is_canonical": true,
"merged_from_id": "<string>",
"route": "<string>",
"appearance_count": 0
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Search
Resolve an entity to its canonical stable ID
Resolves an id or name to the canonical entity record, following merge redirects. Pass either id (ent_ or numeric) or name, optionally constrained by type.
GET
/
v1
/
entities
/
lookup
Resolve an entity to its canonical stable ID
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arcmira.com/v1/entities/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.arcmira.com/v1/entities/lookup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.arcmira.com/v1/entities/lookup \
--header 'Authorization: Bearer <token>'{
"entity": {
"id": "<string>",
"numeric_id": 123,
"canonical_id": "<string>",
"name": "<string>",
"type": "<string>",
"platform": "<string>",
"url": "<string>",
"image_url": "<string>",
"image_checked_at": "<string>",
"owner_entity_id": "<string>",
"is_canonical": true,
"merged_from_id": "<string>",
"route": "<string>",
"appearance_count": 0
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
person, organization, product, topic, channel Response
Success
Show child attributes
Show child attributes
⌘I